@import url("https://fonts.googleapis.com/css2?family=Space+Grotesk&display=swap");

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body,
html {
  width: 100vw;
  height: 100vh;
  font-family: "Space Grotesk", sans-serif;
  /*
    animation-name: body;
    animation-duration:2s;
    animation-timing-function:ease-in;
*/
  cursor: url(/images/cursorfoot502.png), auto;

  overflow: hidden;
  position: absolute;
  margin: 0;
  /* background: rgb(240, 240, 240);
  background: radial-gradient(
    circle,
    rgba(240, 240, 240, 1) 60%,
    rgba(255, 225, 101, 1) 100%
  ); */

  /* background: -webkit-linear-gradient(to left, #FFC371, #FF5F6D);  
background: linear-gradient(to left, #FFC371, #FF5F6D);  */

  background: #8e9eab; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to left,
    #eef2f3,
    #8e9eab
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to left,
    #eef2f3,
    #8e9eab
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

:root {
  --color01: #a9a9a9;
  --color02: #ffcc00;
}

/* mouse */
.mouse {
  transition-duration: 100ms;
  transition-timing-function: ease-in-out;
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
  position: fixed;
  transform: translate(-50%, -50%);
  z-index: 5;
}

/*  loader */

.loader {
  position: fixed;
  z-index: 99;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loader > img {
  width: 75px;
}

.loader.hidden {
  -webkit-animation: fadeOut 1s;
  animation: fadeOut 1s;
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@-webkit-keyframes fadeOut {
  100% {
    opacity: 0;
    visibility: hidden;
  }
}

@keyframes fadeOut {
  100% {
    opacity: 0;
    visibility: hidden;
  }
}

#buttons {
  display: flex;
  flex-wrap: wrap;
  font-size: 7vw;
  position: fixed;
  right: 0;
  top: 0;
  padding: 0;
  margin: 0;
  z-index: 10;
  cursor: url(/images/cursorfoot50.png), auto;
}

/* circle */
/* 
svg {
  width: 100%;
  height: 100%;
  background-size: 300px 300px;
} */
#container {
  margin: 0%;
  pointer-events: none;
}

#circle {
  position: absolute;
  top: -50%;
  right: 0%;
  /*   transform: translate(-50%, 50%);
 */
  width: 100%;
  height: 100%;
  z-index: 0;
  /*   mix-blend-mode: difference;
 */
  /*  mix-blend-mode:color-burn;
 */
}

#circle text {
  font-family: "Space Grotesk";
  font-size: 16.5px;
}

/* #circle svg { position: absolute; left: 0; top: 0; width: 100vw; height: 100vh; */

#circle svg {
  position: absolute;
  /*  left: 0;
  top: 0; */
  width: 200%;
  height: 200%;
  cursor: url(/images/cursorfoot502.png), auto;

  -webkit-animation-name: rotate;
  animation-name: rotate;
  -webkit-animation-duration: 30s;
  animation-duration: 30s;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
}

/*
#circle svg:hover {
  animation-play-state: paused;
} */

@-webkit-keyframes rotate {
  from {
    -webkit-transform: rotate(-360deg);
  }
  to {
    -webkit-transform: rotate(0);
  }
}
@keyframes rotate {
  from {
    transform: rotate(-360deg);
  }
  to {
    transform: rotate(0);
  }
}

/*  overlign text */

::-moz-selection {
  background: #ffcc00; /* WebKit/Blink Browsers */
}

::selection {
  background: #ffcc00; /* WebKit/Blink Browsers */
}
::-moz-selection {
  background: #ffcc00; /* Gecko Browsers */
}

/*  blur back */

.blur {
  -webkit-filter: blur(40px);
  filter: blur(40px);
  transition-duration: 1s;
}

p {
  font-size: 2vw;
  position: relative;
  display: flex;
  align-content: right;
  justify-content: right;
  transition-duration: 0, 5s;
}

/* pictures */

#portrait {
  width: 30vw;

  position: fixed;
  transition-duration: 0.5s;
  right: 10%;
  bottom: 20%;
  z-index: 1;
}

#seat {
  width: 30vw;
  position: fixed;
  transition-duration: 0.5s;
  bottom: 10%;
  z-index: 1;
}

#cup {
  width: 20vw;
  position: fixed;
  transition-duration: 0.5s;
  bottom: 40%;
  z-index: 1;
}

#sheet {
  width: 20vw;
  position: fixed;
  transition-duration: 0.5s;
  right: 30%;
  z-index: 1;
}

#flowers {
  width: 30vw;
  position: fixed;
  transition-duration: 0.5s;
  top: 30%;
  z-index: 1;
}

#isa {
  font-size: 8vw;
  position: fixed;
  left: 1%;
  top: 1%;
  transition-duration: 0.5s;
  color: var(--color02);
  z-index: 2;
  padding-left: 2%;
  /*   border-radius: 50px;
  -webkit-box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.3);
  box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.3); */
}

/* #isa:hover {
  color: lightgray;
  transition-duration: 2s;
} */

#podologue {
  font-size: 4vw;
  position: fixed;

  transition-duration: 0.5s;
  color: var(--color02);
  z-index: 2;
}

/* text */

#text {
  position: fixed;
  margin: 0;
  font-size: 1.5vw;
  width: 30%;
  right: 10%;
  top: 60%;
  transform: translate(0%, -50%);
  color: var(--color01);
}

#text1,
#text2,
#text3 {
  /* background: rgb(215, 215, 215);
  background: linear-gradient(
    90deg,
    rgba(215, 215, 215, 1) 0%,
    rgba(240, 240, 240, 1) 100%
  ); */

  /*   background: rgba(255, 210, 151, 0.479);
 */
  backdrop-filter: blur(10px);

  padding-left: 25px;
  padding-right: 25px;
  padding-top: 15px;
  padding-bottom: 15px;

  /*  -webkit-filter: drop-shadow(0 0 0.75rem rgb(197, 197, 197));
  filter: drop-shadow(0 0 0.75rem rgb(206, 206, 206)); */

  border-radius: 50px;

  margin-bottom: 30px;
  -webkit-box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.05);
  box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.05);
}

#text1 {
  text-align: left;
  transform: translateX(-50px);
}

#text2 {
  text-align: left;
  transform: translateX(50px);
}

#text3 {
  text-align: left;
  transform: translateX(-50px);
  text-align: center;
}

#text span {
  color: rgb(43, 43, 43);
}

/* #text1:hover,
#text2:hover {
  color: var(--color02);
  transition-duration: 0.7s;
}

#text1:hover span,
#text2:hover span {
  color: var(--color01);
  transition-duration: 0.7s;
} */

/* swup */

.transition-fade {
  transition: 0.4s;
  opacity: 1;
}

html.is-animating .transition-fade {
  opacity: 0;
}

/*
#text:hover {
    margin:0;
    font-size: 3vw;
    position: fixed;
width: 80%;

    left:50%;
    top:50%;
    transform: translate(-50%, -50%);
transition-duration: 1s;
    color: #ffcc00;
    z-index: 5;
color: #ffcc00;
    
}
*/

.fadeImg {
  position: relative;
  height: 100vh;
  width: 50%;
  float: left;
}

.fadeImg img {
  width: 50%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: 50% 0;
  object-position: 50% 0;
  -webkit-box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.3);
  box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.3);
}
.fadeImg img:nth-child(11),
.fadeImg img:nth-child(12),
.fadeImg img:nth-child(13),
.fadeImg img:nth-child(4),
.fadeImg img:nth-child(5) {
  width: 50%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: 50% 50%;
  object-position: 50% 50%;
  -webkit-box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.3);
  box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.3);
}

/* .fadeImg img:hover {

    filter: grayscale(100);
    transition-duration: 1s;
} */

#contact {
  bottom: 1%;
  left: 50%;
  transform: translate(-50%, 0);
  width: 100vw;
  display: flex;

  align-content: center;
  justify-content: center;

  position: fixed;
  transition-duration: 0.5s;
  margin: 0;
  color: var(--color01);
  display: inline-block;
  white-space: nowrap;
  -webkit-animation: floatText 45s infinite linear alternate;
  animation: floatText 45s infinite linear alternate;
  -webkit-animation-duration: 30s;
  animation-duration: 30s;
  padding-left: 100%; /*Initial offset*/
  z-index: 10;
  cursor: url(/images/cursorfoot502.png), auto;
}

#contact:hover {
  -webkit-animation-play-state: paused;
  animation-play-state: paused;
  cursor: url(/images/cursorfoot502.png), auto;
}

@-webkit-keyframes floatText {
  to {
    transform: translateX(-100%);
  }
}

@keyframes floatText {
  to {
    transform: translateX(-100%);
  }
}

/* icons */

#icons_info {
  position: fixed;
  right: 1%;
  top: 1%;
  display: flex;
  flex-direction: column;
  border-radius: 50px;
  -webkit-box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.1);
  box-shadow: 1px 2px 31px 0px rgba(0, 0, 0, 0.1);
  padding: 10px;
  z-index: 10;
  backdrop-filter: blur(10px);
}

i {
  font-size: 3vw;
  color: var(--color02);
}
i:hover {
  color: var(--color01);
}

/* english */

#eng {
  position: fixed;
  top: 1%;
  right: 1%;
  font-size: 2vw;
  color: var(--color01);
  cursor: url(/images/cursorfoot502.png), auto;
}

#eng:hover {
  color: var(--color02);
}

#titres {
  margin: 0;
  position: fixed;
  right: 10%;
  top: 2%;
  z-index: 5;
  color: var(--color01);
}

@media screen and (max-width: 768px) {
  #contact {
    font-size: 15px;
  }
  #text {
    font-size: 4vw;
    width: 100%;
    text-align: center;
    z-index: 10;
    height: 90%;
    position: absolute;
    top: 20%;
    left: 0;
    transform: none;
    overflow-y: scroll;
    color: black;
  }

  #isa {
    font-size: 12vw;
  }

  #text span {
    color: black;
  }

  #text1,
  #text2 {
    background: none;
    /* text-align: center; */
    transform: none;
    /*  -webkit-filter: drop-shadow(0 0 0.75rem rgb(99, 99, 99));
    filter: drop-shadow(0 0 0.75rem rgb(107, 107, 107)); */
  }

  /*   #icons_info {
    flex-direction: row;
  } */

  /* #text1 {
  text-align: left;
  transform: translateX(-50px);
}

#text2 {
  text-align: left;
  transform: translateX(50px);
} */

  #eng {
    font-size: 15px;
  }

  .fadeImg {
    height: 100vh;
    width: 100%;
  }

  .fadeImg img,
  .fadeImg img:nth-child(11),
  .fadeImg img:nth-child(12),
  .fadeImg img:nth-child(13),
  .fadeImg img:nth-child(4),
  .fadeImg img:nth-child(5) {
    width: 100%;
  }

  #container,
  #contact,
  .mouse {
    display: none;
  }
}

@-webkit-keyframes body {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes body {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.webdev {
  position: fixed;
  bottom: 2%;
  left: 1%;
  transform: rotate(-180deg);
  -webkit-writing-mode: vertical-rl;
  -ms-writing-mode: tb-rl;
  writing-mode: vertical-rl;
  margin: 0;
  padding: 0;
  color: rgb(210, 210, 210);
  opacity: 0.5;
}

.webdev a {
  text-decoration: none;
  transition: all 0.5s ease-in-out;
  color: rgb(210, 210, 210);
}

.webdev a:hover {
  color: grey;
  opacity: 0.2;
}
